// This is a simple example
package main

import 	(
	"log"
	"go.wit.com/gui/gui"
	"go.wit.com/gui/gadgets"
	"go.wit.com/control-panels/dns/smartwindow"
)

var myGui *gui.Node

func main() {
	myGui = gui.New().Default()

	helloworld()
	// hellosmart()

	// This is just a optional goroutine to watch that things are alive
	gui.Watchdog()
}

// This creates a window
func helloworld() {
	win := gadgets.NewBasicWindow(myGui, "helloworld golang wit/gui window")

	win.Box().NewButton("hello", func () {
		log.Println("world")
	})
}

// This creates a window
func hellosmart() {
	myGui = gui.New().Default()
	win := smartwindow.New()
	win.Title("helloworld golang wit/gui window")
	win.Vertical()
	win.Draw()

	win.Box().NewButton("hello", func () {
		log.Println("world")
	})
}
